LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 11-25-2004, 07:11 PM   #1
iNFERiON
LQ Newbie
 
Registered: Dec 2003
Location: The Netherlands
Distribution: FC3 x86_64
Posts: 26

Rep: Reputation: 15
Updating ATI 9600XT driver


Hello,

I just downloaded and installed the ATI Radeon 9600XT driver for my Mandrake system. All seems to go well, the XF86Config-4 file gets written with the correct data, but I think not in the right folder. I tried the config's default path at first, that didn't work. Also it's second path suggestion didn't work. Then I put it in /usr/X11R6/lib/X11. Didn't work either. So now XFree86 won't load the driver properly. It still says:

OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.3 Mesa 4.0.4

Which is the software rendering and that's not what I want. What am I doing wrong here ?
Thanks.
 
Old 11-26-2004, 04:48 AM   #2
hw-tph
Senior Member
 
Registered: Sep 2003
Location: Sweden
Distribution: Debian
Posts: 3,032

Rep: Reputation: 57
First off, is the fglrx module loaded? It should be listed in the lsmod output. If not, use modprobe fglrx to load it.

Second, 3D accelleration will not work with X.org 6.8.x. If you're using 6.7 or XFree86 you should have no problem, but X.org 6.8 is not supported by ATI.

Third, are you using the fglrx driver? Check your X configuration - /etc/X11/XF86Config(-4) for XFree86 or /etc/X11/xorg.conf for X.org. You will also need to have the correct AGP support module loaded if you're using external AGP support (specified in the X config).

Read the X log in /var/log/X*.0.log and keep an eye out for lines that begin with (EE) or (WW).


Håkan
 
Old 11-26-2004, 05:08 PM   #3
iNFERiON
LQ Newbie
 
Registered: Dec 2003
Location: The Netherlands
Distribution: FC3 x86_64
Posts: 26

Original Poster
Rep: Reputation: 15
Hi Håkan, thanks for your reply.

Quote:
First off, is the fglrx module loaded? It should be listed in the lsmod output. If not, use modprobe fglrx to load it.
It does not seem to be loaded. When I do modprobe fglrx I get this:

Code:
[root@localhost inferion]# modprobe fglrx
FATAL: Module fglrx not found.
any idea why it says this ?

Quote:
Second, 3D accelleration will not work with X.org 6.8.x. If you're using 6.7 or XFree86 you should have no problem, but X.org 6.8 is not supported by ATI.
I use XFree86, so this should be OK. Also the check.sh from ATI.com says my version is supported.

Quote:
Third, are you using the fglrx driver? Check your X configuration - /etc/X11/XF86Config(-4) for XFree86
Yes, this is the file header:

Code:
# File: XF86Config-4
# File generated by fglrxconfig (C) ATI Research, a substitute for xf86config.
Furthermore the file says this:

Code:
# === ATI device section ===

Section "Device"
    Identifier                          "ATI Graphics Adapter"
    Driver                              "fglrx"
So the only thing I still would like to know is how can I load the fglrx driver ?
Thanks.

Last edited by iNFERiON; 11-26-2004 at 05:14 PM.
 
Old 11-27-2004, 07:38 PM   #4
iNFERiON
LQ Newbie
 
Registered: Dec 2003
Location: The Netherlands
Distribution: FC3 x86_64
Posts: 26

Original Poster
Rep: Reputation: 15
suggestions ..... anyone ?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ati driver help (9600xt) Hidden.Elf Ubuntu 2 03-21-2005 11:22 PM
9600XT / Mandrake 10.0 ATi driver problems Target Linux - Hardware 2 10-28-2004 05:12 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 2 08-06-2004 09:26 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 1 08-06-2004 02:26 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 1 08-06-2004 02:24 AM


All times are GMT -5. The time now is 04:34 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration